<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import DynamicModelConfigEditViewBase from './dynamic-model-config-edit-view-base.vue';

import view_form from '@widgets/dynamic-model-config/main-form/main-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class DynamicModelConfigEditView extends DynamicModelConfigEditViewBase {

}
</script>